# Uses of Interface
javax.swing.tree.TreeCellEditor

Packages that use TreeCellEditor
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.tree
Provides classes and interfaces for dealing with `javax.swing.JTree`.

## Uses of TreeCellEditor in javax.swing

Classes in javax.swing that implement TreeCellEditor
Modifier and Type
Class
Description
`class`
`DefaultCellEditor`
The default editor for table and tree cells.
Fields in javax.swing declared as TreeCellEditor
Modifier and Type
Field
Description
`protected TreeCellEditor`
JTree.`cellEditor`
Editor for the entries.
Methods in javax.swing that return TreeCellEditor
Modifier and Type
Method
Description
`TreeCellEditor`
JTree.`getCellEditor()`
Returns the editor used to edit entries in the tree.
Methods in javax.swing with parameters of type TreeCellEditor
Modifier and Type
Method
Description
`void`
JTree.`setCellEditor​(TreeCellEditor cellEditor)`
Sets the cell editor.

## Uses of TreeCellEditor in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as TreeCellEditor
Modifier and Type
Field
Description
`protected TreeCellEditor`
BasicTreeUI.`cellEditor`
Editor for the tree.
Methods in javax.swing.plaf.basic that return TreeCellEditor
Modifier and Type
Method
Description
`protected TreeCellEditor`
BasicTreeUI.`createDefaultCellEditor()`
Creates a default cell editor.
`protected TreeCellEditor`
BasicTreeUI.`getCellEditor()`
Returns the editor used to edit entries in the drawn tree component, or `null` if the tree cannot be edited.
Methods in javax.swing.plaf.basic with parameters of type TreeCellEditor
Modifier and Type
Method
Description
`protected void`
BasicTreeUI.`setCellEditor​(TreeCellEditor editor)`
Sets the cell editor.

## Uses of TreeCellEditor in javax.swing.tree

Classes in javax.swing.tree that implement TreeCellEditor
Modifier and Type
Class
Description
`class`
`DefaultTreeCellEditor`
A `TreeCellEditor`.
Fields in javax.swing.tree declared as TreeCellEditor
Modifier and Type
Field
Description
`protected TreeCellEditor`
DefaultTreeCellEditor.`realEditor`
Editor handling the editing.
Methods in javax.swing.tree that return TreeCellEditor
Modifier and Type
Method
Description
`protected TreeCellEditor`
DefaultTreeCellEditor.`createTreeCellEditor()`
This is invoked if a `TreeCellEditor` is not supplied in the constructor.
Constructors in javax.swing.tree with parameters of type TreeCellEditor
Modifier
Constructor
Description
``
`DefaultTreeCellEditor​(JTree tree, DefaultTreeCellRenderer renderer, TreeCellEditor editor)`
Constructs a `DefaultTreeCellEditor` object for a `JTree` using the specified renderer and the specified editor.